<template>
  <div>
    <footer id="fr-footer-1" class="fr-footer" role="contentinfo">
      <div class="fr-container">
        <div class="fr-footer__body">
          <div class="fr-footer__brand fr-enlarge-link">
            <a
              class="anct-flex-center"
              href="https://agence-cohesion-territoires.gouv.fr/"
              title="Agence Nationale de la Cohésion des Territoires"
              @click="
                trackOutLink('https://agence-cohesion-territoires.gouv.fr/')
              "
            >
              <p class="fr-logo fr-mr-1w" title="république française">
                république
                <br />française
              </p>

              <img
                class="fr-footer__logo"
                src="/images/logo_anct.svg"
                alt="Agence Nationale de la Cohésion des Territoires"
                style="max-width: 15em"
              />
            </a>
          </div>
          <div class="fr-footer__content">
            <p class="fr-footer__content-desc">
              Agents en intervention est un service de l'<a
                href="https://incubateur.anct.gouv.fr"
                title="Visiter le site de l'incubateur"
                >Incubateur des Territoires</a
              >
              est une mission de l'<a
                href="https://anct.gouv.fr"
                title="Visiter le site de l'ANCT"
                @click="trackOutLink('https://anct.gouv.fr')"
                >Agence Nationale de la Cohésion des Territoires</a
              >. Le code source de ce site web est disponible en licence libre.
              Le design de ce site est conçu avec le
              <a
                href="https://gouvfr.atlassian.net/wiki/spaces/DB/overview?homepageId=145359476"
                title="Consulter la documentation du Système de Design de l'État"
                target="_blank"
                rel="noopener"
                @click="
                  trackOutLink(
                    'https://gouvfr.atlassian.net/wiki/spaces/DB/overview?homepageId=145359476',
                  )
                "
              >
                système de design de l’État
              </a>
              .
            </p>
            <ul class="fr-footer__content-list">
              <li class="fr-footer__content-item">
                <a
                  class="fr-footer__content-link"
                  href="https://legifrance.gouv.fr"
                  rel="noopener"
                  target="_blank"
                  click="trackOutLink('https://legifrance.gouv.fr')"
                  >legifrance.gouv.fr</a
                >
              </li>
              <li class="fr-footer__content-item">
                <a
                  class="fr-footer__content-link"
                  href="https://gouvernement.fr"
                  rel="noopener"
                  target="_blank"
                  @click="trackOutLink('https://gouvernement.fr')"
                  >gouvernement.fr</a
                >
              </li>
              <li class="fr-footer__content-item">
                <a
                  class="fr-footer__content-link"
                  href="https://service-public.fr"
                  rel="noopener"
                  target="_blank"
                  @click="trackOutLink('https://service-public.fr')"
                  >service-public.fr</a
                >
              </li>
              <li class="fr-footer__content-item">
                <a
                  class="fr-footer__content-link"
                  href="https://data.gouv.fr"
                  rel="noopener"
                  target="_blank"
                  @click="trackOutLink('https://data.gouv.fr')"
                  >data.gouv.fr</a
                >
              </li>
            </ul>
          </div>
        </div>
        <div class="fr-footer__bottom">
          <ul class="fr-footer__bottom-list">
            <li class="fr-footer__bottom-item">
              <nuxt-link
                class="fr-footer__bottom-link"
                :to="{ name: 'plan-du-site' }"
                >Plan du site</nuxt-link
              >
            </li>
            <li class="fr-footer__bottom-item">
              <span class="fr-footer__bottom-link"
                >Accessibilité: non conforme</span
              >
            </li>
            <li class="fr-footer__bottom-item">
              <span
                class="fr-footer__bottom-link"
                :to="{ name: 'mentions-legales' }"
                >Mentions légales</span
              >
            </li>
            <li class="fr-footer__bottom-item">
              <span
                class="fr-footer__bottom-link"
                :to="{ name: 'donnees-personnelles' }"
                >Données personnelles</span
              >
            </li>
          </ul>

          <div class="fr-footer__bottom-copy">
            <p>
              Sauf mention contraire, tous les textes de ce site sont sous
              <a
                href="https://github.com/etalab/licence-ouverte/blob/master/LO.md"
                target="_blank"
                title="Consulter le texte de la licence etalab-2.0 sur Github"
                rel="noopener"
                @click="
                  trackOutLink(
                    'https://github.com/etalab/licence-ouverte/blob/master/LO.md',
                  )
                "
                >licence etalab-2.0</a
              >
            </p>
          </div>
        </div>
      </div>
    </footer>
  </div>
</template>

<script>
import { trackOutLink } from '~/tools/matomo';

export default {
  name: 'FrFooter',

  methods: {
    trackOutLink,
  },
};
</script>
